tbb::internal::tbb_exception_ptr Class Reference

Exception container that preserves the exact copy of the original exception. More...

`#include <tbb_exception.h>`

## Public Member Functions

void | destroy () throw ()
| Destroys this objects. More...
void | throw_self ()
| Throws the contained exception .

## Static Public Member Functions

static tbb_exception_ptr * | allocate ()
static tbb_exception_ptr * | allocate (const tbb_exception &tag)
static tbb_exception_ptr * | allocate (captured_exception &src)
| This overload uses move semantics (i.e. it empties src)

## Detailed Description

Exception container that preserves the exact copy of the original exception.

This class can be used only when the appropriate runtime support (mandated by C++0x) is present

## Member Function Documentation

void tbb::internal::tbb_exception_ptr::destroy | ( | ) |  |
throw | ( |
| ) |  |

Destroys this objects.

Note that objects of this type can be created only by the allocate() method.

The documentation for this class was generated from the following file:

- tbb_exception.h

Copyright © 2005-2015 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.